Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class FbImmutableServiceProperties

java.lang.Object
org.firebirdsql.gds.ng.AbstractImmutableAttachProperties<IServiceProperties>
org.firebirdsql.gds.ng.FbImmutableServiceProperties

All Implemented Interfaces:
  `IAttachProperties<IServiceProperties>`, `IServiceProperties`, `AttachmentProperties`, `BaseProperties`, `ServiceConnectionProperties`

public final class FbImmutableServiceProperties extends AbstractImmutableAttachProperties<IServiceProperties> implements IServiceProperties
Immutable implementation of `IServiceProperties`.

Since:
  3.0
Author:
  , Mark Rotteveel
See Also:
  - `FbServiceProperties`

## Field Summary

### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`FbImmutableServiceProperties(IServiceProperties src)`
Copy constructor for FbServiceProperties.

## Method Summary

Modifier and Type
Method
Description
`IServiceProperties`
`asImmutable()`
`IServiceProperties`
`asNewMutable()`
`boolean`
`equals(Object o)`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractImmutableAttachProperties

`connectionPropertyValues, getBooleanProperty, getIntProperty, getProperty, hashCode, immutable, isImmutable, property, setBooleanProperty, setIntProperty, setProperty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

`getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

`getExpectedDb, getServiceName, setExpectedDb, setServiceName`

## Constructor Details

### FbImmutableServiceProperties

public FbImmutableServiceProperties(IServiceProperties src)
Copy constructor for FbServiceProperties.

All properties defined in `IServiceProperties` are copied from `src` to the new instance.

Parameters:
  `src` - Source to copy from

## Method Details

### asImmutable

public IServiceProperties asImmutable()

Specified by:
  `asImmutable` in interface `IAttachProperties<IServiceProperties>`
Specified by:
  `asImmutable` in interface `IServiceProperties`
Returns:
  An immutable version of this instance as an implementation of `IServiceProperties`

### asNewMutable

public IServiceProperties asNewMutable()

Specified by:
  `asNewMutable` in interface `IAttachProperties<IServiceProperties>`
Specified by:
  `asNewMutable` in interface `IServiceProperties`
Returns:
  A new, mutable, instance as an implementation of `IServiceProperties` with all properties copied.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `AbstractImmutableAttachProperties<IServiceProperties>`